package com.uvigo.mhp;

public interface ContextHandler
{
    public String getSubcontext();
    public String getContext();
    public void setContext(String s);
    public boolean isCyclic();
    public void setCyclic(boolean b);
    public void gotoFirstContext();    
    public void gotoLastContext();
    public void gotoNextContext();
    public void gotoPreviousContext();
    
    public void addContextListener(ContextListener c);
    public void removeContextListener(ContextListener c);
    
    public ContextManager getContextManager();
    public void setContextManager(ContextManager c);
}
